Bug 1029442 - [AMQP 1.0] closing connection after receiving exception for link detach can cause hang
[AMQP 1.0] closing connection after receiving exception for link detach can c...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
3.0
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-11-12 07:00 EST by Gordon Sim
Modified: 2015-01-21 07:55 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5331 None None None Never

  None (edit)
Description Gordon Sim 2013-11-12 07:00:36 EST
Description of problem:

If an exception is thrown e.g. while sending to a queue that is full, and if in the handling of that exception the application attempts to close the connection, that close() call can hang.

Version-Release number of selected component (if applicable):

Early Access

How reproducible:

Fairly easily

Steps to Reproduce:
1. qpid-config add queue q --max-queue-count 10
2. qpid-send --connection-options {protocol:amqp1.0} --messages 5000 --address q

Actual results:

qpid-send hangs on connection.close() after logging the exception

Expected results:

qpid-send exits after logging exception
Additional info:
Comment 1 Gordon Sim 2013-11-12 07:01:21 EST
Fixed upstream: https://svn.apache.org/r1541001
Comment 2 Petr Matousek 2014-02-14 10:31:17 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-35

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.